Novell Home

CVE-2012-1573

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2012-1573 at MITRE

Description

gnutls_cipher.c in libgnutls in GnuTLS before 2.12.17 and 3.x before 3.0.15 does not properly handle data encrypted with a block cipher, which allows remote attackers to cause a denial of service (heap memory corruption and application crash) via a crafted record, as demonstrated by a crafted GenericBlockCipher structure.

NVD CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

Novell/SUSE information

Novell Bugzilla entry: 752193, 754223

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 10 SP3 DEBUGINFO
  • gnutls-debuginfo >= 1.2.10-13.38.1
Builds
ZYPP Patch Nr: 8789
SUSE Linux Enterprise Server 10 SP3 LTSS for x86
  • gnutls >= 1.2.10-13.38.1
  • gnutls-devel >= 1.2.10-13.38.1
Builds
ZYPP Patch Nr: 8789
SUSE Linux Enterprise Server 10 SP3 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP3 LTSS for IBM zSeries 64bit
  • gnutls >= 1.2.10-13.38.1
  • gnutls-32bit >= 1.2.10-13.38.1
  • gnutls-devel >= 1.2.10-13.38.1
  • gnutls-devel-32bit >= 1.2.10-13.38.1
Builds
ZYPP Patch Nr: 8789
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for x86
  • gnutls >= 1.2.10-13.30.1
  • gnutls-devel >= 1.2.10-13.30.1
Builds
ZYPP Patch Nr: 8066
SUSE Linux Enterprise 10 SP4 DEBUGINFO for AMD64 and Intel EM64T
SUSE Linux Enterprise 10 SP4 DEBUGINFO for IBM POWER
SUSE Linux Enterprise 10 SP4 DEBUGINFO for IBM zSeries 64bit
SUSE Linux Enterprise 10 SP4 DEBUGINFO for IPF
SUSE Linux Enterprise 10 SP4 DEBUGINFO for x86
  • gnutls-debuginfo >= 1.2.10-13.30.1
Builds
ZYPP Patch Nr: 8066
SUSE Linux Enterprise Server 10 SP4 for IPF
  • gnutls >= 1.2.10-13.30.1
  • gnutls-devel >= 1.2.10-13.30.1
  • gnutls-x86 >= 1.2.10-13.30.1
Builds
ZYPP Patch Nr: 8066
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • gnutls >= 1.2.10-13.30.1
  • gnutls-64bit >= 1.2.10-13.30.1
  • gnutls-devel >= 1.2.10-13.30.1
  • gnutls-devel-64bit >= 1.2.10-13.30.1
Builds
ZYPP Patch Nr: 8066
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • gnutls >= 1.2.10-13.30.1
  • gnutls-32bit >= 1.2.10-13.30.1
  • gnutls-devel >= 1.2.10-13.30.1
  • gnutls-devel-32bit >= 1.2.10-13.30.1
Builds
ZYPP Patch Nr: 8066
SLE 11 SP1 DEBUGINFO
  • gnutls-debuginfo >= 2.4.1-24.39.39.1
  • gnutls-debugsource >= 2.4.1-24.39.39.1
Builds
SAT Patch Nr: 6448
SUSE Linux Enterprise High Availability Extension 11 SP1
  • libgnutls-extra26 >= 2.4.1-24.39.39.1
Builds
SAT Patch Nr: 6448
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libgnutls-devel >= 2.4.1-24.39.39.1
  • libgnutls-extra-devel >= 2.4.1-24.39.39.1
  • libgnutls-extra26 >= 2.4.1-24.39.39.1
Builds
SAT Patch Nr: 6448
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP1 for VMware
  • gnutls >= 2.4.1-24.39.39.1
  • libgnutls26 >= 2.4.1-24.39.39.1
Builds
SAT Patch Nr: 6448
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP1 for VMware
  • gnutls >= 2.4.1-24.39.39.1
  • libgnutls26 >= 2.4.1-24.39.39.1
  • libgnutls26-32bit >= 2.4.1-24.39.39.1
Builds
SAT Patch Nr: 6448
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
  • gnutls >= 2.4.1-24.39.39.1
  • libgnutls-extra26 >= 2.4.1-24.39.39.1
  • libgnutls26 >= 2.4.1-24.39.39.1
Builds
SAT Patch Nr: 6448
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
  • gnutls >= 2.4.1-24.39.39.1
  • libgnutls-extra26 >= 2.4.1-24.39.39.1
  • libgnutls26 >= 2.4.1-24.39.39.1
  • libgnutls26-x86 >= 2.4.1-24.39.39.1
Builds
SAT Patch Nr: 6448
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
  • gnutls >= 2.4.1-24.39.39.1
  • libgnutls-extra26 >= 2.4.1-24.39.39.1
  • libgnutls26 >= 2.4.1-24.39.39.1
  • libgnutls26-32bit >= 2.4.1-24.39.39.1
Builds
SAT Patch Nr: 6448

© 2014 Novell